diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/udp-socket.h ns-3.44/src/internet/model/udp-socket.h
--- ns-3.43/src/internet/model/udp-socket.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/udp-socket.h	2025-03-09 16:55:49.411371200 -0700
@@ -24,10 +24,10 @@
 class Packet;
 
 /**
- * \ingroup socket
- * \ingroup udp
+ * @ingroup socket
+ * @ingroup udp
  *
- * \brief (abstract) base class of all UdpSockets
+ * @brief (abstract) base class of all UdpSockets
  *
  * This class exists solely for hosting UdpSocket attributes that can
  * be reused across different implementations, and for declaring
@@ -38,8 +38,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -47,11 +47,11 @@
     ~UdpSocket() override;
 
     /**
-     * \brief Corresponds to socket option MCAST_JOIN_GROUP
+     * @brief Corresponds to socket option MCAST_JOIN_GROUP
      *
-     * \param interface interface number, or 0
-     * \param groupAddress multicast group address
-     * \returns on success, zero is returned.  On error, -1 is returned,
+     * @param interface interface number, or 0
+     * @param groupAddress multicast group address
+     * @returns on success, zero is returned.  On error, -1 is returned,
      *          and errno is set appropriately
      *
      * Enable reception of multicast datagrams for this socket on the
@@ -62,7 +62,7 @@
      * just enables multicast datagram reception in the system if not already
      * enabled for this interface/groupAddress combination.
      *
-     * \attention IGMP is not yet implemented in ns-3
+     * @attention IGMP is not yet implemented in ns-3
      *
      * This function may be called repeatedly on a given socket but each
      * join must be for a different multicast address, or for the same
@@ -73,11 +73,11 @@
     virtual int MulticastJoinGroup(uint32_t interface, const Address& groupAddress) = 0;
 
     /**
-     * \brief Corresponds to socket option MCAST_LEAVE_GROUP
+     * @brief Corresponds to socket option MCAST_LEAVE_GROUP
      *
-     * \param interface interface number, or 0
-     * \param groupAddress multicast group address
-     * \returns on success, zero is returned.  On error, -1 is returned,
+     * @param interface interface number, or 0
+     * @param groupAddress multicast group address
+     * @returns on success, zero is returned.  On error, -1 is returned,
      *          and errno is set appropriately
      *
      * Disable reception of multicast datagrams for this socket on the
@@ -88,72 +88,72 @@
      * just disables multicast datagram reception in the system if this
      * socket is the last for this interface/groupAddress combination.
      *
-     * \attention IGMP is not yet implemented in ns-3
+     * @attention IGMP is not yet implemented in ns-3
      */
     virtual int MulticastLeaveGroup(uint32_t interface, const Address& groupAddress) = 0;
 
   private:
     // Indirect the attribute setting and getting through private virtual methods
     /**
-     * \brief Set the receiving buffer size
-     * \param size the buffer size
+     * @brief Set the receiving buffer size
+     * @param size the buffer size
      */
     virtual void SetRcvBufSize(uint32_t size) = 0;
     /**
-     * \brief Get the receiving buffer size
-     * \returns the buffer size
+     * @brief Get the receiving buffer size
+     * @returns the buffer size
      */
     virtual uint32_t GetRcvBufSize() const = 0;
     /**
-     * \brief Set the IP multicast TTL
-     * \param ipTtl the IP multicast TTL
+     * @brief Set the IP multicast TTL
+     * @param ipTtl the IP multicast TTL
      */
     virtual void SetIpMulticastTtl(uint8_t ipTtl) = 0;
     /**
-     * \brief Get the IP multicast TTL
-     * \returns the IP multicast TTL
+     * @brief Get the IP multicast TTL
+     * @returns the IP multicast TTL
      */
     virtual uint8_t GetIpMulticastTtl() const = 0;
     /**
-     * \brief Set the IP multicast interface
-     * \param ipIf the IP multicast interface
+     * @brief Set the IP multicast interface
+     * @param ipIf the IP multicast interface
      */
     virtual void SetIpMulticastIf(int32_t ipIf) = 0;
     /**
-     * \brief Get the IP multicast interface
-     * \returns the IP multicast interface
+     * @brief Get the IP multicast interface
+     * @returns the IP multicast interface
      */
     virtual int32_t GetIpMulticastIf() const = 0;
     /**
-     * \brief Set the IP multicast loop capability
+     * @brief Set the IP multicast loop capability
      *
      * This means that the socket will receive the packets
      * sent by itself on a multicast address.
      * Equivalent to setsockopt  IP_MULTICAST_LOOP
      *
-     * \param loop the IP multicast loop capability
+     * @param loop the IP multicast loop capability
      */
     virtual void SetIpMulticastLoop(bool loop) = 0;
     /**
-     * \brief Get the IP multicast loop capability
+     * @brief Get the IP multicast loop capability
      *
      * This means that the socket will receive the packets
      * sent by itself on a multicast address.
      * Equivalent to setsockopt  IP_MULTICAST_LOOP
      *
-     * \returns the IP multicast loop capability
+     * @returns the IP multicast loop capability
      */
     virtual bool GetIpMulticastLoop() const = 0;
     /**
-     * \brief Set the MTU discover capability
+     * @brief Set the MTU discover capability
      *
-     * \param discover the MTU discover capability
+     * @param discover the MTU discover capability
      */
     virtual void SetMtuDiscover(bool discover) = 0;
     /**
-     * \brief Get the MTU discover capability
+     * @brief Get the MTU discover capability
      *
-     * \returns the MTU discover capability
+     * @returns the MTU discover capability
      */
     virtual bool GetMtuDiscover() const = 0;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/udp-socket-impl.cc ns-3.44/src/internet/model/udp-socket-impl.cc
--- ns-3.43/src/internet/model/udp-socket-impl.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/udp-socket-impl.cc	2025-03-09 16:55:49.411371200 -0700
@@ -87,7 +87,7 @@
 {
     NS_LOG_FUNCTION(this);
 
-    /// \todo  leave any multicast groups that have been joined
+    /// @todo  leave any multicast groups that have been joined
     m_node = nullptr;
     /**
      * Note: actually this function is called AFTER
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/udp-socket-impl.h ns-3.44/src/internet/model/udp-socket-impl.h
--- ns-3.43/src/internet/model/udp-socket-impl.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/udp-socket-impl.h	2025-03-09 16:55:49.411371200 -0700
@@ -33,10 +33,10 @@
 class Ipv6Interface;
 
 /**
- * \ingroup socket
- * \ingroup udp
+ * @ingroup socket
+ * @ingroup udp
  *
- * \brief A sockets interface to UDP
+ * @brief A sockets interface to UDP
  *
  * This class subclasses ns3::UdpSocket, and provides a socket interface
  * to ns3's implementation of UDP.
@@ -61,8 +61,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
@@ -72,13 +72,13 @@
     ~UdpSocketImpl() override;
 
     /**
-     * \brief Set the associated node.
-     * \param node the node
+     * @brief Set the associated node.
+     * @param node the node
      */
     void SetNode(Ptr<Node> node);
     /**
-     * \brief Set the associated UDP L4 protocol.
-     * \param udp the UDP L4 protocol
+     * @brief Set the associated UDP L4 protocol.
+     * @param udp the UDP L4 protocol
      */
     void SetUdp(Ptr<UdpL4Protocol> udp);
 
@@ -124,25 +124,25 @@
     bool GetMtuDiscover() const override;
 
     /**
-     * \brief UdpSocketFactory friend class.
-     * \relates UdpSocketFactory
+     * @brief UdpSocketFactory friend class.
+     * @relates UdpSocketFactory
      */
     friend class UdpSocketFactory;
     // invoked by Udp class
 
     /**
      * Finish the binding process
-     * \returns 0 on success, -1 on failure
+     * @returns 0 on success, -1 on failure
      */
     int FinishBind();
 
     /**
-     * \brief Called by the L3 protocol when it received a packet to pass on to TCP.
+     * @brief Called by the L3 protocol when it received a packet to pass on to TCP.
      *
-     * \param packet the incoming packet
-     * \param header the packet's IPv4 header
-     * \param port the remote port
-     * \param incomingInterface the incoming interface
+     * @param packet the incoming packet
+     * @param header the packet's IPv4 header
+     * @param port the remote port
+     * @param incomingInterface the incoming interface
      */
     void ForwardUp(Ptr<Packet> packet,
                    Ipv4Header header,
@@ -150,12 +150,12 @@
                    Ptr<Ipv4Interface> incomingInterface);
 
     /**
-     * \brief Called by the L3 protocol when it received a packet to pass on to TCP.
+     * @brief Called by the L3 protocol when it received a packet to pass on to TCP.
      *
-     * \param packet the incoming packet
-     * \param header the packet's IPv6 header
-     * \param port the remote port
-     * \param incomingInterface the incoming interface
+     * @param packet the incoming packet
+     * @param header the packet's IPv6 header
+     * @param port the remote port
+     * @param incomingInterface the incoming interface
      */
     void ForwardUp6(Ptr<Packet> packet,
                     Ipv6Header header,
@@ -163,7 +163,7 @@
                     Ptr<Ipv6Interface> incomingInterface);
 
     /**
-     * \brief Kill this socket by zeroing its attributes (IPv4)
+     * @brief Kill this socket by zeroing its attributes (IPv4)
      *
      * This is a callback function configured to m_endpoint in
      * SetupCallback(), invoked when the endpoint is destroyed.
@@ -171,7 +171,7 @@
     void Destroy();
 
     /**
-     * \brief Kill this socket by zeroing its attributes (IPv6)
+     * @brief Kill this socket by zeroing its attributes (IPv6)
      *
      * This is a callback function configured to m_endpoint in
      * SetupCallback(), invoked when the endpoint is destroyed.
@@ -179,42 +179,42 @@
     void Destroy6();
 
     /**
-     * \brief Deallocate m_endPoint and m_endPoint6
+     * @brief Deallocate m_endPoint and m_endPoint6
      */
     void DeallocateEndPoint();
 
     /**
-     * \brief Send a packet
-     * \param p packet
-     * \returns 0 on success, -1 on failure
+     * @brief Send a packet
+     * @param p packet
+     * @returns 0 on success, -1 on failure
      */
     int DoSend(Ptr<Packet> p);
     /**
-     * \brief Send a packet to a specific destination and port (IPv4)
-     * \param p packet
-     * \param daddr destination address
-     * \param dport destination port
-     * \param tos ToS
-     * \returns 0 on success, -1 on failure
+     * @brief Send a packet to a specific destination and port (IPv4)
+     * @param p packet
+     * @param daddr destination address
+     * @param dport destination port
+     * @param tos ToS
+     * @returns 0 on success, -1 on failure
      */
     int DoSendTo(Ptr<Packet> p, Ipv4Address daddr, uint16_t dport, uint8_t tos);
     /**
-     * \brief Send a packet to a specific destination and port (IPv6)
-     * \param p packet
-     * \param daddr destination address
-     * \param dport destination port
-     * \returns 0 on success, -1 on failure
+     * @brief Send a packet to a specific destination and port (IPv6)
+     * @param p packet
+     * @param daddr destination address
+     * @param dport destination port
+     * @returns 0 on success, -1 on failure
      */
     int DoSendTo(Ptr<Packet> p, Ipv6Address daddr, uint16_t dport);
 
     /**
-     * \brief Called by the L3 protocol when it received an ICMP packet to pass on to TCP.
+     * @brief Called by the L3 protocol when it received an ICMP packet to pass on to TCP.
      *
-     * \param icmpSource the ICMP source address
-     * \param icmpTtl the ICMP Time to Live
-     * \param icmpType the ICMP Type
-     * \param icmpCode the ICMP Code
-     * \param icmpInfo the ICMP Info
+     * @param icmpSource the ICMP source address
+     * @param icmpTtl the ICMP Time to Live
+     * @param icmpType the ICMP Type
+     * @param icmpCode the ICMP Code
+     * @param icmpInfo the ICMP Info
      */
     void ForwardIcmp(Ipv4Address icmpSource,
                      uint8_t icmpTtl,
@@ -223,13 +223,13 @@
                      uint32_t icmpInfo);
 
     /**
-     * \brief Called by the L3 protocol when it received an ICMPv6 packet to pass on to TCP.
+     * @brief Called by the L3 protocol when it received an ICMPv6 packet to pass on to TCP.
      *
-     * \param icmpSource the ICMP source address
-     * \param icmpTtl the ICMP Time to Live
-     * \param icmpType the ICMP Type
-     * \param icmpCode the ICMP Code
-     * \param icmpInfo the ICMP Info
+     * @param icmpSource the ICMP source address
+     * @param icmpTtl the ICMP Time to Live
+     * @param icmpType the ICMP Type
+     * @param icmpCode the ICMP Code
+     * @param icmpInfo the ICMP Info
      */
     void ForwardIcmp6(Ipv6Address icmpSource,
                       uint8_t icmpTtl,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/windowed-filter.h ns-3.44/src/internet/model/windowed-filter.h
--- ns-3.43/src/internet/model/windowed-filter.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/windowed-filter.h	2025-03-09 16:55:49.411371200 -0700
@@ -42,19 +42,19 @@
 namespace ns3
 {
 /**
- * \brief Compares two values
- * \param T  type of the measurement that is being filtered.
+ * @brief Compares two values
+ * @param T  type of the measurement that is being filtered.
  */
 template <class T>
 struct MinFilter
 {
   public:
     /**
-     * \brief Compares two values
+     * @brief Compares two values
      *
-     * \param lhs left hand value
-     * \param rhs right hand value
-     * \return returns true if the first is less than or equal to the second.
+     * @param lhs left hand value
+     * @param rhs right hand value
+     * @return returns true if the first is less than or equal to the second.
      */
     bool operator()(const T& lhs, const T& rhs) const
     {
@@ -67,19 +67,19 @@
 };
 
 /**
- * \brief Compares two values
- * \param T  type of the measurement that is being filtered.
+ * @brief Compares two values
+ * @param T  type of the measurement that is being filtered.
  */
 template <class T>
 struct MaxFilter
 {
   public:
     /**
-     * \brief Compares two values
+     * @brief Compares two values
      *
-     * \param lhs left hand value
-     * \param rhs right hand value
-     * \return returns true if the first is greater than or equal to the second.
+     * @param lhs left hand value
+     * @param rhs right hand value
+     * @return returns true if the first is greater than or equal to the second.
      */
     bool operator()(const T& lhs, const T& rhs) const
     {
@@ -92,7 +92,7 @@
 };
 
 /**
- * \brief Construct a windowed filter
+ * @brief Construct a windowed filter
  *
  * Use the following to construct a windowed filter object of type T.
  * For example, a min filter using QuicTime as the time type:
@@ -100,10 +100,10 @@
  * max filter using 64-bit integers as the time type:
  *      WindowedFilter<T, MaxFilter<T>, uint64_t, int64_t> ObjectName;
  *
- * \param T -- type of the measurement that is being filtered.
- * \param Compare -- MinFilter<T> or MaxFilter<T>, depending on the type of filter desired.
- * \param TimeT -- the type used to represent timestamps.
- * \param TimeDeltaT -- the type used to represent continuous time intervals between
+ * @param T -- type of the measurement that is being filtered.
+ * @param Compare -- MinFilter<T> or MaxFilter<T>, depending on the type of filter desired.
+ * @param TimeT -- the type used to represent timestamps.
+ * @param TimeDeltaT -- the type used to represent continuous time intervals between
  * two timestamps.  Has to be the type of (a - b) if both |a| and |b| are
  * of type TimeT.
  */
@@ -112,18 +112,18 @@
 {
   public:
     /**
-     * \brief constructor
+     * @brief constructor
      */
     WindowedFilter()
     {
     }
 
     /**
-     * \brief constructor
-     * \param windowLength is the period after which a best estimate expires.
-     * \param zeroValue is used as the uninitialized value for objects of T. Importantly,
+     * @brief constructor
+     * @param windowLength is the period after which a best estimate expires.
+     * @param zeroValue is used as the uninitialized value for objects of T. Importantly,
      * zeroValue should be an invalid value for a true sample.
-     * \param zeroTime is the time of instance record time.
+     * @param zeroTime is the time of instance record time.
      */
     WindowedFilter(TimeDeltaT windowLength, T zeroValue, TimeT zeroTime)
         : m_windowLength(windowLength),
@@ -135,8 +135,8 @@
     }
 
     /**
-     * \brief Changes the window length.  Does not update any current samples.
-     * \param windowLength is the period after which a best estimate expires.
+     * @brief Changes the window length.  Does not update any current samples.
+     * @param windowLength is the period after which a best estimate expires.
      */
     void SetWindowLength(TimeDeltaT windowLength)
     {
@@ -144,11 +144,11 @@
     }
 
     /**
-     * \brief Updates best estimates with |sample|, and expires and updates best
+     * @brief Updates best estimates with |sample|, and expires and updates best
      * estimates as necessary.
      *
-     * \param new_sample update new sample.
-     * \param new_time record time of the new sample.
+     * @param new_sample update new sample.
+     * @param new_time record time of the new sample.
      */
     void Update(T new_sample, TimeT new_time)
     {
@@ -206,9 +206,9 @@
     }
 
     /**
-     * \brief Resets all estimates to new sample.
-     * \param new_sample update new sample.
-     * \param new_time record time of the new sample.
+     * @brief Resets all estimates to new sample.
+     * @param new_sample update new sample.
+     * @param new_time record time of the new sample.
      */
     void Reset(T new_sample, TimeT new_time)
     {
@@ -216,8 +216,8 @@
     }
 
     /**
-     * \brief Returns Max/Min value so far among the windowed samples.
-     * \return returns Best (max/min) value so far among the windowed samples.
+     * @brief Returns Max/Min value so far among the windowed samples.
+     * @return returns Best (max/min) value so far among the windowed samples.
      */
     T GetBest() const
     {
@@ -225,8 +225,8 @@
     }
 
     /**
-     * \brief Returns second Max/Min value so far among the windowed samples.
-     * \return returns second Best (max/min) value so far among the windowed samples.
+     * @brief Returns second Max/Min value so far among the windowed samples.
+     * @return returns second Best (max/min) value so far among the windowed samples.
      */
     T GetSecondBest() const
     {
@@ -234,8 +234,8 @@
     }
 
     /**
-     * \brief Returns third Max/Min value so far among the windowed samples.
-     * \return returns third Best (max/min) value so far among the windowed samples.
+     * @brief Returns third Max/Min value so far among the windowed samples.
+     * @return returns third Best (max/min) value so far among the windowed samples.
      */
     T GetThirdBest() const
     {
@@ -243,7 +243,7 @@
     }
 
     /**
-     * \brief sample.
+     * @brief sample.
      */
     struct Sample
     {
@@ -251,16 +251,16 @@
         TimeT time; //!< time when the sample was recorded.
 
         /**
-         * \brief constructor
+         * @brief constructor
          */
         Sample()
         {
         }
 
         /**
-         * \brief constructor
-         * \param init_sample value of sample.
-         * \param init_time time when the sample was recorded..
+         * @brief constructor
+         * @param init_sample value of sample.
+         * @param init_time time when the sample was recorded..
          */
         Sample(T init_sample, TimeT init_time)
             : sample(init_sample),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/global-route-manager-impl-test-suite.cc ns-3.44/src/internet/test/global-route-manager-impl-test-suite.cc
--- ns-3.43/src/internet/test/global-route-manager-impl-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/global-route-manager-impl-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -20,15 +20,15 @@
 using namespace ns3;
 
 /**
- * \ingroup internet
- * \ingroup tests
- * \defgroup internet-test internet module tests
+ * @ingroup internet
+ * @ingroup tests
+ * @defgroup internet-test internet module tests
  */
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Global Route Manager Test
+ * @brief Global Route Manager Test
  */
 class GlobalRouteManagerImplTestCase : public TestCase
 {
@@ -191,7 +191,7 @@
 
     Simulator::Run();
 
-    /// \todo here we should do some verification of the routes built
+    /// @todo here we should do some verification of the routes built
 
     Simulator::Destroy();
 
@@ -199,15 +199,15 @@
     // all of the LSAs, which each destroys the attached LinkRecords.
     delete srm;
 
-    /// \todo Testing
+    /// @todo Testing
     // No testing has actually been done other than making sure that this code
     // does not crash
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Global Route Manager TestSuite
+ * @brief Global Route Manager TestSuite
  */
 class GlobalRouteManagerImplTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/icmp-test.cc ns-3.44/src/internet/test/icmp-test.cc
--- ns-3.43/src/internet/test/icmp-test.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/icmp-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -68,15 +68,15 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-apps
- * \defgroup icmp-test ICMP protocol tests
+ * @ingroup internet-apps
+ * @defgroup icmp-test ICMP protocol tests
  */
 
 /**
- * \ingroup icmp-test
- * \ingroup tests
+ * @ingroup icmp-test
+ * @ingroup tests
  *
- * \brief ICMP  Echo Reply Test
+ * @brief ICMP  Echo Reply Test
  */
 class IcmpEchoReplyTestCase : public TestCase
 {
@@ -86,13 +86,13 @@
 
     /**
      * Send data
-     * \param socket output socket
-     * \param dst destination address
+     * @param socket output socket
+     * @param dst destination address
      */
     void SendData(Ptr<Socket> socket, Ipv4Address dst);
     /**
      * Receive data
-     * \param socket input socket
+     * @param socket input socket
      */
     void ReceivePkt(Ptr<Socket> socket);
 
@@ -202,10 +202,10 @@
 }
 
 /**
- * \ingroup icmp-test
- * \ingroup tests
+ * @ingroup icmp-test
+ * @ingroup tests
  *
- * \brief ICMP Time Exceed Reply Test
+ * @brief ICMP Time Exceed Reply Test
  */
 class IcmpTimeExceedTestCase : public TestCase
 {
@@ -215,13 +215,13 @@
 
     /**
      * Send data
-     * \param socket output socket
-     * \param dst destination address
+     * @param socket output socket
+     * @param dst destination address
      */
     void SendData(Ptr<Socket> socket, Ipv4Address dst);
     /**
      * Receive data
-     * \param socket input socket
+     * @param socket input socket
      */
     void ReceivePkt(Ptr<Socket> socket);
 
@@ -347,10 +347,10 @@
 }
 
 /**
- * \ingroup icmp-test
- * \ingroup tests
+ * @ingroup icmp-test
+ * @ingroup tests
  *
- * \brief ICMPV6  Echo Reply Test
+ * @brief ICMPV6  Echo Reply Test
  */
 class IcmpV6EchoReplyTestCase : public TestCase
 {
@@ -360,13 +360,13 @@
 
     /**
      * Send data
-     * \param socket output socket
-     * \param dst destination address
+     * @param socket output socket
+     * @param dst destination address
      */
     void SendData(Ptr<Socket> socket, Ipv6Address dst);
     /**
      * Receive data
-     * \param socket input socket
+     * @param socket input socket
      */
     void ReceivePkt(Ptr<Socket> socket);
 
@@ -485,10 +485,10 @@
 }
 
 /**
- * \ingroup icmp-test
- * \ingroup tests
+ * @ingroup icmp-test
+ * @ingroup tests
  *
- * \brief ICMPV6  Time Exceed response test
+ * @brief ICMPV6  Time Exceed response test
  */
 class IcmpV6TimeExceedTestCase : public TestCase
 {
@@ -498,13 +498,13 @@
 
     /**
      * Send data
-     * \param socket output socket
-     * \param dst destination address
+     * @param socket output socket
+     * @param dst destination address
      */
     void SendData(Ptr<Socket> socket, Ipv6Address dst);
     /**
      * Receive data
-     * \param socket input socket
+     * @param socket input socket
      */
     void ReceivePkt(Ptr<Socket> socket);
 
@@ -640,10 +640,10 @@
 }
 
 /**
- * \ingroup icmp-test
- * \ingroup tests
+ * @ingroup icmp-test
+ * @ingroup tests
  *
- * \brief ICMP TestSuite
+ * @brief ICMP TestSuite
  */
 
 class IcmpTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/internet-stack-helper-test-suite.cc ns-3.44/src/internet/test/internet-stack-helper-test-suite.cc
--- ns-3.43/src/internet/test/internet-stack-helper-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/internet-stack-helper-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -18,9 +18,9 @@
 NS_LOG_COMPONENT_DEFINE("InternetStackHelperTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief InternetStackHelper Test
+ * @brief InternetStackHelper Test
  */
 class InternetStackHelperTestCase : public TestCase
 {
@@ -129,9 +129,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief InternetStackHelper TestSuite
+ * @brief InternetStackHelper TestSuite
  */
 class InternetStackHelperTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-address-generator-test-suite.cc ns-3.44/src/internet/test/ipv4-address-generator-test-suite.cc
--- ns-3.43/src/internet/test/ipv4-address-generator-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-address-generator-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -11,9 +11,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 network number Test
+ * @brief IPv4 network number Test
  */
 class NetworkNumberAllocatorTestCase : public TestCase
 {
@@ -71,9 +71,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 address allocator Test
+ * @brief IPv4 address allocator Test
  */
 class AddressAllocatorTestCase : public TestCase
 {
@@ -128,9 +128,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 network and address allocator Test
+ * @brief IPv4 network and address allocator Test
  */
 class NetworkAndAddressTestCase : public TestCase
 {
@@ -199,9 +199,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 AddressGenerator example (sort of) Test
+ * @brief IPv4 AddressGenerator example (sort of) Test
  */
 class ExampleAddressGeneratorTestCase : public TestCase
 {
@@ -257,9 +257,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 address collision Test
+ * @brief IPv4 address collision Test
  */
 class AddressCollisionTestCase : public TestCase
 {
@@ -339,9 +339,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Address Generator TestSuite
+ * @brief IPv4 Address Generator TestSuite
  */
 class Ipv4AddressGeneratorTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-address-helper-test-suite.cc ns-3.44/src/internet/test/ipv4-address-helper-test-suite.cc
--- ns-3.43/src/internet/test/ipv4-address-helper-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-address-helper-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -12,9 +12,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 network allocator helper Test
+ * @brief IPv4 network allocator helper Test
  */
 class NetworkAllocatorHelperTestCase : public TestCase
 {
@@ -65,9 +65,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 address allocator helper Test
+ * @brief IPv4 address allocator helper Test
  */
 class AddressAllocatorHelperTestCase : public TestCase
 {
@@ -118,9 +118,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 reset allocator helper Test
+ * @brief IPv4 reset allocator helper Test
  */
 class ResetAllocatorHelperTestCase : public TestCase
 {
@@ -186,9 +186,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 address helper Test
+ * @brief IPv4 address helper Test
  */
 class IpAddressHelperTestCasev4 : public TestCase
 {
@@ -265,9 +265,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Address Helper TestSuite
+ * @brief IPv4 Address Helper TestSuite
  */
 class Ipv4AddressHelperTestSuite : public TestSuite
 {
